> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a DigitalOcean cluster

> Recreate the DigitalOcean cloud resources for a stopped cluster and reconcile it back to a running state.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/digitalocean/{cluster_id}/start
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/{cluster_id}/start:
    post:
      tags:
        - DigitalOcean Cluster API
      summary: Start a DigitalOcean cluster
      description: >-
        Recreate the DigitalOcean cloud resources for a stopped cluster and
        reconcile it back to a running state.
      operationId: >-
        start_digitalocean_cluster_endpoint_api_v1_clusters_digitalocean__cluster_id__start_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid
            title: Cluster Id
            type: string
        - description: '''control_plane'' to only provision control plane, or ''all'' (default)'
          in: query
          name: scope
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              'control_plane' to only provision control plane, or 'all'
              (default)
            title: Scope
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StartClusterResult'
          description: Cluster start initiated successfully
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '409':
          description: A stop or terminate operation is still running
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    StartClusterResult:
      properties:
        created_operations:
          default: 0
          title: Created Operations
          type: integer
        marked_to_start_at:
          format: date-time
          title: Marked To Start At
          type: string
        scope:
          default: all
          title: Scope
          type: string
      required:
        - marked_to_start_at
      title: StartClusterResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````